@import './constants/constants.scss';

.App {
  margin: $side-margin;
  display: flex;
  flex-direction: column;

  @media only screen and (max-width: 900px) {
    margin: 0 10px;
  }

  input {
    outline: none;
  }

  input[type='text'], input[type='password'] {
    border: none;
    border-bottom: 1px solid #333333;
    max-width: 320px;
    width: 100%;
    min-width: 200px;

  }

  input[type='text']::placeholder {
    color: #828282;
  }

  input.button-white[type='button'] {
    border: none;
    background-color: white;
    margin: 0 32px;
    color: $active-red;
    font-weight: bold;
    cursor: pointer;
  }

  div.red-button {
    input[type='button'] {
      background: $active-red;
      border-radius: 4px;
      color: white;
      border: none;
      height: 38px;
      line-height: 19px;
      font-weight: bold;
      padding: 0 30px;
      cursor: pointer;
    }

    input[type='button']:hover {
      background: #CC221B;
    }
  }

  .login-form {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    background: $main-color-half-transparent;

    form {
      width: 228px;
      height: 318px;
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      align-items: center;
      background: #FFFFFF;
      border-radius: 8px;
      position: absolute;
      padding: 36px 36px 46px;

      .title {
        font-size: 28px;
        font-weight: bold;
      }

      div.memorize {
        width: 100%;

        label {
          display: flex;
          flex-direction: row;
          align-items: center;

          input {
            display: none; /* <--скрываем дефолтный чекбокс */
          }

          span { /* <-- стилизируем новый */
            height: 16px;
            width: 16px;
            border: 1px solid $main-color;
            border-radius: 4px;
            display: inline-block;
            position: relative;
            background-color: #FFF;
            padding: 3px;
            margin-right: 8px;
          }

          [type=checkbox]:checked + span:before { /* <-- ставим иконку, когда чекбокс включен  */
            content: '\2714';
            position: absolute;
            top: -6px;
            left: 3px;
            font-size: 23px;
            color: $active-red
          }
        }
      }

      .error {
        border: 2px solid $active-red;
        border-radius: 4px;
        padding: 2px;
      }

    }
  }

  header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    min-height: 90px;
    align-items: center;

    .App-logo {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-content: center;
      align-items: center;
      align-self: center;

      img {
        max-height: 36px;
        min-height: 36px;
        pointer-events: none;
        margin-right: 5px;
      }

      p {
        font-weight: bold;
        font-style: normal;
        font-size: 20px;
      }

      @media only screen and (max-width: 700px) {
        display: none;
      }

    }

    .search-field {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
    }

    .user {
      display: flex;
      flex-direction: row;

      div {
        font-weight: bold;
      }
    }

    @media only screen and (max-width: 470px) {
      display: none;

    }

  }

  header.mobile {
    display: none;

    > div:first-child {
      display: flex;
      flex-direction: row;
      width: 90%;
      justify-content: space-between;
      align-items: center;
    }

    @media only screen and (max-width: 470px) {
      display: flex;
      flex-direction: column;
      .App-logo {
        display: flex;
      }

      .search-field {
        margin: 30px 0 15px;

        input {
          font-size: 19px;
        }
      }

    }
  }

  nav {
    display: flex;
    justify-content: center;
    font-size: 28px;
    margin: 40px 0;

    div {
      margin: 0 10px;
      color: $main-color;
      cursor: pointer;
    }

    .selected {
      color: $active-red;
      padding-bottom: 10px;
      border-bottom: 2px solid $active-red;
    }

  }

  div.films {
    display: flex;
    flex-direction: column;
  }
}


